#version 100
precision mediump float;

varying lowp vec2 uv;
uniform sampler2D screenTexture;

uniform float factor;// %0.5% 0..1

void main(){
    vec4 color = texture2D(screenTexture,uv);
    gl_FragColor = mix(color, vec4(0.0,0.0,0.0,1.0), factor);
}